Vorhofkatheter-Statistik
========================

Statistische Auswertung der Vorhofkatheter-Datenbank.

Man benötigt:

* [R][]
* [packrat][]
* Kenntnisse von [ggplot2][] und des [tidyverse][]

Die benötigte Datei `vhk.csv`, die aus Datenschutzgründen nicht in
diesem Repository enthalten ist, wird von der Abfrage `qryExportToCsv`
generiert. Beim Export muß folgendes Format eingehalten werden:

* Erste Zeile enthält Feldbezeichnungen.
* Felder werden durch Kommata getrennt, nicht durch Semikolons.
* Dezimalzeichen ist der Punkt, nicht das Komma.
* Text wird mit doppelten Anführungszeichen umschlossen.
* Kodierung ist UTF-8.
* Kalenderdaten haben das Format "YYYY-MM-DD".

Das Skript erwartet folgende Feldbezeichnungen:

| Feld                           | Bedeutung
|--------------------------------|----------------------------------------------------
| `Date`                         | Implantationsdatum
| `Age`                          | Alter des Patienten bei Implantation
| `Sex`                          | Geschlecht des Patienten
| `Surgeon`                      | Name des Implanteurs
| `Assistant`                    | Name des OP-Assistenten
| `InsertionSite`                | Implantationsgefäß
| `Side`                         | Seite (links/rechts)
| `InsertionFluoroscopyDuration` | Durchleuchtungsdauer bei Implantation (in Sekunden)
| `RemovalDate`                  | Explantationsdatum (falls zutreffend)
| `RemovalReason`                | Grund für die Explantation
| `RemovalSurgeon`               | Explanteur

Es gibt kein traditionelles R-Skript, sondern eine R-Markdown-Datei,
die den Code zum Erzeugen der Abbildungen enthält. Als Präsentationsformat
eignen sich HTML mit Slidy und PDF am besten. HTML mit ioslides kann vom
in der Klinik immer noch installierten Internet Explorer nicht dargestellt
werden, und der PowerPoint-Export klappt auch nicht so gut (Stand 1/2019).

## Mitmachen

Die URL zum Klonen dieses Projektes ist ähnlich wie bei Github oben rechts zu
sehen.  Für Pull Requests benötigt man einen Account auf dieser Gitea-Instanz,
der nach formloser Mail an <dk@doktorkraus.de> eingerichtet werden kann.

[R]: https://www.r-project.org
[packrat]: http://rstudio.github.io/packrat
[ggplot2]: https://ggplot2.tidyverse.org
[tidyverse]: https://www.tidyverse.org
